body {
    background: rgb(56, 56, 56);
    color: #BBBBBB;
    /* отступ по бокам*/
    padding: 0 3px;
    display: block;
}

.main-ui {
    display: grid;
    grid-template-areas: "header" "body";
    grid-template-columns: 100%;
    grid-template-rows: max-content 1fr;
    overflow: hidden;
    height: 100vh;
    position: relative;
    z-index: 1;
}

.toolbar-container {
    border-bottom-color: #404244;
    color: #BBBBBB;
    /* высота контейнара */
    height: 68px;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    z-index: 50;
    position: relative;
}

/* для каждого компонента тулбара */
.toolbar-container .toolbar {
    float: left;
    height: 54px;
    /* отуспу сверху */
    margin: 8px 0;
    padding: 0 12px;
    border-right-width: 1px;
    /* стенки */
    border-right-style: solid;
    border-right-color: #404244;
}
/* контейнер для групп (без лейбаков) */
.toolbar-container .toolbar .tool-group * {
    /* вроде не нужен */
    vertical-align: middle;
}

/* контейнер для групп (без лейбаков) */
.toolbar-container .toolbar .tool-group {
    line-height: 40px;
    padding: 0 12px;
    white-space: nowrap;
    display: inline-block;
    vertical-align: middle;
    position: relative;
}
/* убираем | после about */
.toolbar-container .toolbar:last-child {
    border-right: none;
}
/* по бокам выравнивание тулбара */
.toolbar-container .toolbar .tool-group:first-of-type {
    border-left: none;
    padding-left: 0;
}
.toolbar-container .toolbar .tool-group:last-of-type {
    padding-right: 0;
}
/* кнопки на тулбаре */
.toolbar-container .toolbar .tool-group > button {
    width: 24px;
    height: 24px;
    padding: 0;
    /* расстояние между кнопками */
    margin-left: 3px;
    margin-right: 3px;
    line-height: 1;
    /* размер иконок внутри кнопок */
    font-size: 12px;
    display: inline-block;
}

/* внутренность кнопок  */
img.icon, svg.icon {
    height: 1em;
}
/* цвет всех кнопок в ноутбуке */
button {
    color: #BBBBBB;
    /*padding: 30px;*/
    /* без рамок */
    /*border: 1px solid transparent;*/
    border-radius: 4px;
    background-color: transparent;
    background-position: right bottom;
    background-repeat: no-repeat;
    background-size: 12px 12px;
    text-align: center;
    line-height: 1;
    vertical-align: middle;
    opacity: 0.7;
}

.run-paragraph {
    font-size: 16px;
}
.run-paragraph .icon {
    color: #66CC33;
}
.stop-paragraph .icon {
    color: #DD3311;
}
.stop-paragraph {
    font-size: 16px;
}

.toolbar-container .toolbar .tool-group .paragraph-language {
    padding-left: 0;
    white-space: nowrap;
    display: inline-block;
    vertical-align: middle;
    position: relative;
}

.dropdown {
    position: relative;
    display: grid;
    grid-template-columns: 1fr;
    z-index: 1;
}

.dropdown button.selected, .dropdown.open button, .dropdown.open .item {
    padding: 0.5em 2em 0.5em 1em;
    line-height: 1;
    width: auto;
    height: auto;
    text-align: left;
    border-width: 1px;
    opacity: 1;
    visibility: visible;
}
button:hover, button:focus, button.selected {
    border-color: #404244;
    background-color: #676b6f;
}
.dropdown button, .dropdown .item {
    background: #292A2C;
    border-color: transparent #404244;
    color: #BBBBBB;
    height: 0;
    width: auto;
    padding: 0 2em 0 1em;
    visibility: hidden;
    overflow: visible;
    display: block;
    border-width: 0 1px;
    border-style: solid;
    font-size: 12px;
    border-radius: 0;
}
.dropdown button.selected, .dropdown button:hover, .dropdown .item:hover {
    border-color: #404244;
}
.dropdown button.selected, .dropdown button:hover {
    border-radius: 4px;
}
.dropdown.open {
    border-radius: 4px;
    background-color: #292A2C;
}

button:hover, button:focus, button.selected, button.active {
    outline: 0;
    opacity: 1;
}

/* расположение about */
.toolbar-container .toolbar.about {
    float: right;
}

.toolbar-container .toolbar h3 {
    color: #BBBBBB;
    font-size: 100%;
    /* лейбаки */
    line-height: 1em;
    margin: 0;
    opacity: 0.6;
    text-transform: capitalize;
}


select {
    background: #3C3F41;
    color: #BBBBBB;
    box-sizing: border-box;
    border: 1px solid #404244;
    border-radius: 3px;
    padding: 5px 10px
}

/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */



/* KERNEL */
.kernel-status.dead .status {
    color: #AA0000;
}
.kernel-status.dead .connect, .kernel-status.dead .kill {
    display: none !important;
}
.kernel-status.dead .start {
    display: inline-block !important;
}
.kernel-status.dead .connect, .kernel-status.dead .kill {
    display: none !important;
}

.kernel-status .status {
    font-size: 200%;
    /* уровень надписи */
    line-height: 0.5;
    vertical-align: middle;
    margin: 0 0.125em;
    color: gray;
}
/* тело */
.kernel-ui {
    background-color: #36383A;
    border-left: 1px solid #404244;
}

.kernel-ui {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    display: grid;
    grid-template-areas:"info""symbols""tasks";
    grid-template-rows: min-content min-content 1fr;
}
.kernel-ui .kernel-info {
    position: relative;
    grid-area: info;
}
.kernel-ui .kernel-info .toggle {
    float: right;
    cursor: pointer;
}
.ui-panel h3 {
    background-color: #2a2b2d;
}
.kernel-ui .kernel-info .info-container {
    background-color: #2B2B2B;
}

.kernel-stack {
    display: flex;
    flex-direction: column;
}

.kernel-stack .kernel-task {
    display: flex;
    justify-content: center;
    align-items: center;
    border: double #49a9a9;
    padding-top: 8px;
}
.kernel-stack .kernel-task > h1 {
    font-size: 6pt;
    text-align: center;
    line-height: 15px;
}
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */

/* BODY */
/* контейнер */
.split-view {
    /* не знаю зачем */
    height: 100%;
    display: grid;
    grid-template-areas: "left leftdrag center rightdrag right";
    grid-template-columns: max-content 1px auto 1px max-content;
    grid-template-rows: 100%;
    overflow: hidden;
}

/* collapse left */
.split-view.left-collapsed {
    grid-template-columns: 2em 1px auto 1px max-content;
}
.left-collapsed .notebooks-list {
    overflow: visible;
}
.split-view.left-collapsed .grid-shell.left {
    width: unset !important;
}
.split-view.left-collapsed .left .ui-panel {
    width: 0;
    border: unset;
}
.split-view.left-collapsed .left .ui-panel h2 {
    transform: translateY(-100%) rotate(90deg);
    transform-origin: bottom left;
    width: fit-content;
}
.split-view.left-collapsed .left .ui-panel .ui-panel-content {
    display: none;
}
.split-view.left-collapsed .left .ui-panel h2 .buttons {
    display: none;
}
.split-view.left-collapsed .left .ui-panel h2 {
    transform: translateY(-100%) rotate(90deg);
    transform-origin: bottom left;
    width: 700px;
}
/* collapse right*/
.split-view.right-collapsed .right .ui-panel {
    width: 0;
    border: unset;
}
.split-view.right-collapsed .right .ui-panel h2 {
    transform: translateY(-100%) rotate(90deg);
    transform-origin: bottom left;
    width: 700px;
}
.split-view.right-collapsed {
    grid-template-columns: max-content 1px auto 1px 2em;
}
.split-view.right-collapsed .right .ui-panel .ui-panel-content {
    display: none;
}
.split-view.right-collapsed .right .ui-panel .kernel-stack {
    display: none;
}
.split-view.right-collapsed .right .ui-panel .kernel-header .buttons {
    display: none;
}
.split-view.right-collapsed .right .ui-panel .kernel-header. kernel-stack {
    display: none;
}
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */

/* GRID SHELL */
/* контейнер слева и справа */
.grid-shell {
    display: flex;
    flex-direction: row;
    position: relative;
}

/* контейнер для notebooks и kernel */
.ui-panel {
    grid-template-areas: "head" "body";
    grid-template-rows: 2em 1fr;
    display: grid;
    /* пошире сделаем её */
    width: 100%;
}

.notebooks-list-header,
.kernel-header {
    display: flex;
    justify-content: left;
    align-items: center;
}


/* notebooks и kernel лейбл с кнопкой*/
/* ui-panel > h1 - это хедер notebooks */
.ui-panel > h2,
.ui-panel .ui-panel-header > h2 {
    /* посветлее */
    background-color: #44474a;
    grid-area: head;
    position: relative;
}

.ui-panel h2, .ui-panel h3 {
    font-size: 100%;
    margin: 0;
    /* лейбак */
    padding: 0.5em;
    /* его высота */
    line-height: 1;
    grid-area: head;
    font-weight: normal;
}
/* тело левого компонента notebooks */
.ui-panel .ui-panel-content {
    grid-area: body;
    overflow: hidden;
    border-width: 1px;
    border-style: solid;
    position: relative;
}
.ui-panel > h2 .kernel-status .status {
    display: flex;
}

/* иконки в notebooks и kernel */
.ui-panel > h2 .buttons button.icon-button,
.ui-panel > h2 .kernel-status .buttons button.icon-button {
    font-size: inherit;
    box-sizing: border-box;
    display: inline-block;
    width: 1.7em;
    height: 1.7em;
    margin: -1px 0.25em 0;
    vertical-align: middle;
}

/* span buttons на notebooks и kernel */
.ui-panel > h2 .buttons,
.ui-panel .ui-panel-header > h2 .buttons {
    position: absolute;
    right: 0;
    display: flex;
    /* кнопка + */
    line-height: 1.8em;
    vertical-align: middle;
    text-align: right;
    /* кнопка + */
    padding-right: 0.25em;
}
/* кнопка + */
.create-notebook {
    color: #66CC33;
}






/* тело дерева  */
.notebooks-list {
    position: relative;
    overflow: auto;
    height: 100%;
}
.notebooks-list .tree-view {
    padding: 0.5em 0 1.5em;
}
.tree-view ul {
    margin: 0;
    padding: 0;
    list-style: none;
    line-height: 22px;
    vertical-align: middle;
}
.tree-view ul li.branch {
    position: relative;
}
.tree-view ul li {
    cursor: pointer;
    padding: 0 1em 0 0;
    position: relative;
}
.tree-view ul li.branch .branch-outer {
    color: #BBBBBB;
    padding: 0;
    border: none;
    opacity: 1;
    font-size: 100%;
    line-height: 22px;
    background: transparent;
    border-radius: 0;
}
.tree-view ul li.branch .branch-outer .expander {
    position: absolute;
    left: 0;
    top: 3px;
    width: 16px;
    height: 16px;
    background: transparent url(icons/bullet_toggle_plus.png) no-repeat left top;
}
.tree-view ul li span, .tree-view ul li a {
    color: #BBBBBB;
}
.tree-view ul li span, .tree-view ul li a {
    white-space: nowrap;
    text-decoration: none;
}
.tree-view ul li.branch .branch-outer .icon {
    position: absolute;
    left: 16px;
    top: 3px;
    width: 16px;
    height: 16px;
    background: transparent url(icons/folder.png) no-repeat left top;
}
.tree-view ul li span, .tree-view ul li a {
    color: #BBBBBB;
}
.tree-view ul li span, .tree-view ul li a {
    white-space: nowrap;
    text-decoration: none;
}

.tree-view ul li.leaf .notebook-file > span, .tree-view ul li.leaf .notebook-file a {
    background: transparent url(icons/book.png) no-repeat 18px 2px;
    padding-left: 36px;
    display: block;
    outline: none;
}
button .icon {
    vertical-align: middle;
}
.tree-view ul li.branch .branch-outer .name {
    margin-left: 36px;
}
.tree-view ul li span, .tree-view ul li a {
    color: #BBBBBB;
}
.tree-view ul li span, .tree-view ul li a {
    white-space: nowrap;
    text-decoration: none;
}





/* drag-handle left */
/* палка */
.drag-handle {
    border-left-color: #36383A;
    position: relative;
    border-left-style: solid;
}

.drag-handle .inner {
    position: absolute;
    left: -2px;
    right: -2px;
    top: 0;
    bottom: 0;
    cursor: col-resize;
    z-index: 5;
}

.paragraph-dragger {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 8px;
    cursor: ns-resize;
    z-index: 2;
}
.paragraph-dragger .inner {
    position: absolute;
    left: 1px;
    right: 1px;
    top: 6px;
    bottom: 6px;
}

.paragraph-dragger:hover .inner, .dragging .paragraph-dragger .inner {
    background-blend-mode: soft-light;
}



/* TAB VIEW */
.tab-view {
    display: grid;
    grid-template-areas: "tabs" "notebook" "vim";
    grid-template-rows: auto 1fr min-content;
}

.tab-view .tab-container {
    grid-area: tabs;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    height: fit-content;
    background: #36383A;
}

.tab-view .tab-container .tab.active {
    border-bottom: none;
}

.tab-view .tab-container .tab:first-child {
    border-left-width: 1px;
    border-left-style: solid;
}

.tab-view .tab-container .tab {
    border-width: 1px;
    border-left-width: 0;
    border-style: solid;
    border-left-style: none;
    display: grid;
    grid-template-columns: 1fr 1.5em;
    flex-shrink: 0;
    border-color: #404244;
    background: #2a2b2d;
}

.tab-view .tab-container .tab .close-button {
    opacity: 0.8;
}
.tab-view .tab-container .tab span {
    padding: 0.25em;
    text-overflow: ellipsis;
}

.tab-view .vim-status.hide {
    display: none !important;
}

.tab-view .vim-status {
    border-color: #404244;
    background: #3C3F41;
}
.tab-view .vim-status {
    grid-area: vim;
    white-space: pre;
    width: auto;
    border: solid 1px;
    padding: 3px;
    font-size: large;
}
.hide {
    display: none;
}
.welcome-page {
    font-size: 12pt;
    padding: 2em;
    line-height: 1.5;
    overflow-y: auto;
    background: #2B2B2B;
}






/*  NOTEBOOK CONTENT */

.notebook-content {
    border-color: #404244;
}

.notebook-content {
    display: grid;
    overflow: hidden;
}
.notebook-content .notebook-paragraphs {
    padding: 10pt 10pt 50vh;
    overflow-y: auto;
    position: relative;
}
::-webkit-scrollbar {
    width: 12px;
}

.new-paragraph-divider {
    text-align: center;
    line-height: 0.5em;
    padding-top: 1px;
    white-space: pre;
    margin-left: 8px;
}
.new-paragraph-divider:hover:after {
    content: '+';
}
.paragraph-component {
    position: relative;
}
.paragraph-component:hover .paragraph-container {
    border-color: #3B4754;
}
.paragraph-component .paragraph-container.selected, .paragraph-component .paragraph-container.active {
    border-color: #676b6f;
}
.paragraph-component .paragraph-container.error {
    border-color: #ba0000;
}
.paragraph-component .paragraph-container.running {
    border-color: #66CC33;
}

.paragraph-container.selected, .paragraph-container.active {
    border-radius: 6px;
    border-width: 1px;
    border-style: solid;
    border-left-width: 8px;
}

.paragraph-container {
    border-radius: 6px;
    border: 1px solid transparent;
    border-left-width: 8px;
    position: relative;
    outline: none;
}


/* input */
.paragraph-component .paragraph-container.code-paragraph .paragraph-input .paragraph-output {
    border-color: #404244;
}

.paragraph-container.code-paragraph .paragraph-input .paragraph-output {
    border-width: 1px;
    border-bottom-width: 0;
    border-style: solid;
    border-bottom-style: none;
}
.paragraph-container.selected .paragraph-input, .paragraph-container.active .paragraph-input {
    z-index: 11;
}
.paragraph-component .paragraph-container > * {
    background: #2B2B2B;
}
.paragraph-container .paragraph-input {
    position: relative;
    grid-area: input;
}

/* paragraph tools */
.paragraph-component .paragraph-container .paragraph-input .paragraph-input-tools {
    background: #36383A;
    border-bottom-color: #404244;
    border-color: #404244;
    border-width: 1px;
    border-bottom-width: 0;
    border-bottom-style: none;
}

.paragraph-container .paragraph-input .paragraph-input-tools {
    box-sizing: border-box;
    display: grid;
    grid-template-areas: "button label lang options exec-info";
    grid-template-columns: min-content 10ch auto 2fr min-content;
    grid-template-rows: min-content;
    border-bottom-width: 1px;
    border-bottom-style: solid;
}

.paragraph-container.scala .paragraph-input .paragraph-input-tools button.run-paragraph {
    background-image: url(icons/scala.png);
}
.paragraph-container.python .paragraph-input .paragraph-input-tools button.run-paragraph {
    background-image: url(icons/python.png);
}
.paragraph-container.kotlin .paragraph-input .paragraph-input-tools button.run-paragraph {
    background-image: url(icons/kotlin.png);
}
.paragraph-container.java .paragraph-input .paragraph-input-tools button.run-paragraph {
    background-image: url(icons/java.png);
}
.paragraph-container.javascript .paragraph-input .paragraph-input-tools button.run-paragraph {
    background-image: url(icons/javascript.png);
}

.paragraph-container .paragraph-input .paragraph-input-tools .run-paragraph {
    grid-area: button;
}
/* иконка запуска кода */
.paragraph-container .paragraph-input .paragraph-input-tools button {
    line-height: 1;
    background-size: 12px 12px;
    background-position: 90% 90%;
    font-size: inherit;
    padding: 6px 6px;
    vertical-align: top;
}

.paragraph-container .paragraph-input .paragraph-input-tools .paragraph-label {
    text-align: left;
    font-size: inherit;
    grid-area: label;
    /* In() */
    padding: 0.5em 1ch;
}

.paragraph-container .paragraph-input .paragraph-input-tools .paragraph-label:before {
    content: 'In(';
}
.paragraph-container .paragraph-input .paragraph-input-tools .paragraph-label:after {
    content: '):';
}

.paragraph-container .paragraph-input .paragraph-input-tools .lang-selector,
.paragraph-container .paragraph-input .paragraph-input-tools .value-name {
    grid-area: lang;
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.paragraph-component .paragraph-container .paragraph-input .paragraph-input-tools .exec-info {
    color: #808080;
    font-size: 9px;
}
.paragraph-container .paragraph-input .paragraph-input-tools .exec-info {
    text-align: right;
    font-style: italic;
    font-size: 8pt;
    padding: 5.5pt;
    line-height: 11pt;
    display: none;
    grid-area: exec-info;
    white-space: nowrap;
}
.paragraph-container.code-paragraph .exec-info {
    display: block;
}
.paragraph-container .paragraph-input .options {
    grid-area: options;
    display: flex;
    white-space: nowrap;
    margin-left: 4px;
}
.paragraph-container .paragraph-input .paragraph-input-tools .exec-info.output {
    display: block;
}


/* editor */
.paragraph-container.code-paragraph .paragraph-input .paragraph-input-editor {
    pointer-events: none;
}
.paragraph-container .paragraph-input .paragraph-input-editor {
    /* внутренние отступы */
    margin: 2px;
    overflow: hidden;
    height: fit-content;
}

.paragraph-container.hide-code {
    display: none;
}




/* output */
.paragraph-component .paragraph-container.code-paragraph .paragraph-output {
    border-color: #404244;
}

.paragraph-container.code-paragraph .paragraph-output {
    border-width: 1px;
    border-style: solid;
}
.paragraph-container .paragraph-output {
    grid-area: output;
}
.paragraph-component .paragraph-container .paragraph-output .paragraph-output-margin {
    background: #36383A;
}
.paragraph-container .paragraph-output .paragraph-output-block {
    display: block;
}

.paragraph-container .paragraph-output .paragraph-output-display {
    font-size: 9px;
    overflow: auto;
    resize: vertical;
    position: relative;
}
.paragraph-component .paragraph-container .paragraph-output .paragraph-result-margin {
    background: #36383A;
}
.paragraph-component .paragraph-container .paragraph-output .out-ident {
    color: #D84315;
    border-bottom-color: #404244;
}
.paragraph-container .paragraph-output .out-ident {
    border-bottom-width: 1px;
    border-bottom-style: solid;
    font-size: 11pt;
    padding: 0.25em 0 0.25em 32pt;
    position: relative;
}
button.inspect.icon-button {
    padding: 1pt 0 0;
    background: transparent !important;
    border: none !important;
    position: absolute;
    left: 14pt;
}
.paragraph-container .paragraph-output .paragraph-output-tools {
    display: none;
    position: relative;
    min-height: 1.5em;
    overflow: auto;
    grid-area: results;
}
.paragraph-container .paragraph-output .paragraph-output-tools .output {
    padding: 1em 2em;
}

.context-variable > h3 {
    font-size: 8pt;
}
.context-output > h1 {
    font-size: 10pt;
}

.paragraph-container .paragraph-output .errors, .paragraph-container .paragraph-output .output {
    display: inherit !important;
    padding-left: 2px;
}
.result-name-and-type {
    font-weight: 400;
    margin: 0;
}

.ui-panel-content {
    border-color: #404244;
    background: #3C3F41;
}



/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */



.notebook-modal .ant-modal-content {
    background: #36383A;
    border-color: #404244;
    margin: 2rem 9rem;
}
.notebook-modal .ant-modal-header {
    text-align: center;
}

.notebook-modal .ant-modal-header .ant-modal-title {
    font-family: "Bungee", serif;
    background: #36383A;
    border-color: #404244;
}
.notebook-modal .ant-modal-close {
    display: none;
}

.notebook-modal .ant-modal-body input {
    border-color: #404244;
    background: #3C3F41;
    color: #BBBBBB;
    font-family: "Bungee", serif;
    box-shadow: none;
}
.notebook-modal .ant-modal-body .modal-txt {
    width: 100%;
}

.notebook-modal .ant-modal-body input:focus {
    outline: none;
}

.notebook-modal .ant-modal-footer .buttons {
    background: #36383A;
    border-color: #404244;
    text-align: left;
    display: flex;;
    justify-content: space-between;
    /*padding: 0.5em 0;*/
    color: #BBBBBB;
}

.notebook-modal .ant-modal-content .ant-modal-close {
}
.notebook-modal .ant-modal-footer .buttons .ant-btn {
    background: #36383A;
    border-color: #404244;
    font-family: "Bungee", serif
}


.notebook-modal-settings .ant-modal-footer .buttons {
    background: #36383A;
    border-color: #404244;
    text-align: center;
    justify-content: space-around;
    /*padding: 0.5em 0;*/
    color: #BBBBBB;
}

/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;; SCROLLBAR ;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */
/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  */

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    -webkit-border-radius: 10px;
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: #36383A;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
}
::-webkit-scrollbar-thumb:window-inactive {
    background: #36383A;
}

/* Pages */

.loading-page, .error-page, .no-auth-page {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    text-align: center;
}

.css-j204z7-MuiFormControlLabel-root .MuiFormControlLabel-label {
    font-family: "Bungee", serif;
    color: rgba(175 160 150);
    font-size: 11px;
}

.ant-checkbox .ant-checkbox-inner {
    background-color: #655757;
    border: none;
}
.ant-checkbox-checked .ant-checkbox-inner {
    background-color: #655757;
    border: none;
}